#!/bin/sh

# script to remove files with unclear / non-free licenses from
# the original gem file
#
# usage: VERSION=<version> ./<this_file>

set -x
set -e
umask 0022

VERSION=${VERSION:-0.60.1}
URL=https://rubygems.org/gems

wget -N $URL/ruby-opengl-$VERSION.gem
CURRENT_DIR=$(pwd)

TMPDIR=$(mktemp -d /tmp/ruby-opengl-XXXXXX)
pushd $TMPDIR

gem unpack $CURRENT_DIR/ruby-opengl-$VERSION.gem
cd ruby-opengl-$VERSION

gem spec -l --ruby $CURRENT_DIR/ruby-opengl-$VERSION.gem > ruby-opengl.gemspec

# Cleanup
sed -i \
	-e 's|"examples/NeHe/[^"][^"]*",||g' \
	-e 's|"examples/NeHe",||g' \
	-e 's|"examples/misc/fbo_test.rb",||' \
	ruby-opengl.gemspec
rm -rf examples/NeHe/
rm -f examples/misc/fbo_test.rb

gem build ruby-opengl.gemspec
mv ruby-opengl-$VERSION.gem $CURRENT_DIR/ruby-opengl-$VERSION-clean.gem

popd
rm -rf $TMPDIR
